Subject: Other spec comments

From: [email-masked] (Paul Brittain)
Date: Fri, 2 Sep 94 12:38:11 BST

Steve,

A response to your third mail from last week.  My responses are marked with
*** PJB ***.  I have edited out the bits where we agree to keep this mail
relatively short.

SPEC COMMENTS
=============

4.2.2.2 RESOLVE_PENDING State

   .
   .
   .

   Upon the receipt of a DLC_DL_STARTED signal in the RESOLVE_PENDING state, the
   Data Link Switch may update its topology table base upon the remote MAC address
   information.  The ICANREACH message should be returned to all Data Link
   Switches that had sent a CANUREACH message.  In a similar fashion, the Data..
PJB>*
PJB>* The CANUREACH_cs is a circuit setup message.  There should only be one
PJB>* such message received by any one target DLSw since the CANUREACH_ex
PJB>* exchange identifies the correct DLS partner.  Hence there is no need to
PJB>* maintain a list of partners that sent us a CANUREACH_cs as there will be
PJB>* only one.
PJB>*
PJB>* The previous sentence should therefore be deleted.
SCK>>>>> I disagree.  You still could have two separate DLSw'es
SCK>>>>> on the same LAN as the origin station attempting to initiate
SCK>>>>> a circuit through the same DLSw partner.
*** PJB *** You are right.  My earlier post was too centred on a source
*** PJB *** routing network where the _ex exchange would identify a single
*** PJB *** route and hence only one switch would issue the CUR_cs.
*** PJB *** However I do think that it ought not to be a requirement for a
*** PJB *** DLSw to maintain a list of all partner that sent it a CUR_cs.  It
*** PJB *** must respond to at least the first such partner, but all additional
*** PJB *** responses should be optional (as per much earlier discussions in
*** PJB *** this group).
*** PJB ***
*** PJB *** How about a rewording thus:

Upon the receipt of a DLC_DL_STARTED signal in the RESOLVE_PENDING state, the
Data Link Switch may update its topology table base upon the remote MAC address
information.  The ICANREACH message must be returned to the first partner
DLSw from which a CANUREACH was received for this circuit, or an
implementation may optionally reply to all partners from which the CANUREACH
was received. ....